#include "cloudviewdialog.h"

CloudViewDialog::CloudViewDialog(QWidget *parent)
    : QDialog(parent)
{
	ui.setupUi(this);


	connect(ui.downButton, SIGNAL(pressed()),  ui.widget, SLOT(downRotate ()));
	connect(ui.upButton, SIGNAL(pressed()),    ui.widget, SLOT(upRotate ()));
	connect(ui.leftButton, SIGNAL(pressed()),  ui.widget, SLOT(leftRotate ()));
	connect(ui.rightButton, SIGNAL(pressed()), ui.widget, SLOT(rightRotate ()));


	connect(ui.focalSpinBox, SIGNAL(valueChanged(double)), ui.widget, SLOT(setFocal(double)));
	connect(ui.displacementBox, SIGNAL(valueChanged(double)), ui.widget, SLOT(setDisplacement(double)));
	connect(ui.gridSwitchBox, SIGNAL(stateChanged(int)), ui.widget, SLOT(setGridOnOff(int)));

}




CloudViewDialog::~CloudViewDialog()
{

}
